Search for clients with push notifications disabled

Retrieve a paginated, sortable, and filterable list of MDM clients that have push notifications disabled.
The endpoint queries the mdm_client table and returns information about when push was disabled and links to the device records.

Required Permissions: device-actions:read

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
Defaults to 0
integer
Defaults to 100
sort
array of strings
Defaults to pushDisabledTime:asc

Sorting criteria in the format: property(,asc|desc).
Default sort order is ascending. Multiple sort criteria are supported.
Sortable fields: pushDisabledTime, deviceType, managementId

sort
string

Query in the RSQL format, allowing to filter results.
Fields allowed in the query: deviceType, disabledAt, managementId.
This param can be combined with paging and sorting.

Example: filter=deviceType=="MOBILE_DEVICE"
Example: filter=disabledAt>2024-11-01T00:00:00Z
Example: filter=deviceType=="COMPUTER";disabledAt>2024-01-01T00:00:00Z

Headers
uuid
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

The tenant UUID identifier. Send it to address tenant scope. This API is also published at environment scope — send that scope's header instead. Send exactly one scope header per request.

uuid
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

The environment UUID identifier. Send it to address environment scope. This API is also published at tenant scope — send that scope's header instead. Send exactly one scope header per request.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json